Mail archive
alpine-aports

[alpine-aports] [PATCH] main/gtkman: new upstream version 0.9

From: Christian Kampka <christian_at_kampka.net>
Date: Wed, 11 Nov 2015 20:27:55 +0100

---
 main/gtkman/APKBUILD | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)
diff --git a/main/gtkman/APKBUILD b/main/gtkman/APKBUILD
index 38560a6..13bd2cf 100644
--- a/main/gtkman/APKBUILD
+++ b/main/gtkman/APKBUILD
_at_@ -1,7 +1,7 @@
 # Contributor: Natanael Copa <ncopa_at_alpinelinux.org>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=gtkman
-pkgver=0.5
+pkgver=0.9
 pkgrel=0
 pkgdesc="GTK+2 manual page viewer"
 url="http://www.salixos.org/wiki/index.php/GTKMan"
_at_@ -12,9 +12,10 @@ depends_dev=
 makedepends="gettext intltool"
 install=""
 subpackages="$pkgname-lang"
-source="http://people.salixos.org/gapan/gtkman/gtkman-$pkgver.tar.gz"
+source="$pkgname-$pkgver.tar.gz::https://github.com/gapan/$pkgname/archive/$pkgver.tar.gz
+fix-man-install.patch"
 
-_builddir="$srcdir"/gtkman
+_builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
 	local i
 	cd "$_builddir"
_at_@ -27,14 +28,17 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./compile.sh || return 1
+	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	DESTDIR="$pkgdir" ./install.sh || return 1
+	DESTDIR="$pkgdir" PREFIX=/usr make install || return 1
 }
 
-md5sums="5b5a73149aaa474569a5e251ac2135db  gtkman-0.5.tar.gz"
-sha256sums="39213caa171e2ac0eab9298daab23fbd9c5aedb1741895a6dc385771682e4519  gtkman-0.5.tar.gz"
-sha512sums="8e0670246e165e2c2efbe84b353d2c56fb053fade39965a76242f1ec2f64009d5cd8bf8cba99b77dcc54c718972c2bc17675f2c154830675d8a50c219b3d73f5  gtkman-0.5.tar.gz"
+md5sums="7c76fed1481dfba477bba4cb14b6893f  gtkman-0.9.tar.gz
+4532f1d215a61d18c4eb36882a2a7502  fix-man-install.patch"
+sha256sums="0b272c0210f5fefdcc1a9dada81aa249edbb5a64122f05f070f9160915fa2a2c  gtkman-0.9.tar.gz
+154b4ed6911425ef43db7b42a1ac5f09f8af2e4a99f216b5c0b8c3a0bbaf5f78  fix-man-install.patch"
+sha512sums="86e36f6f41a208bed83800da1a96bfd1314c7c789aa2ec8e617636b58c5c8fcb029e6933ba11f2b34fa1b87d4e45e34af345d9ce5daed8a005320e1ef993e103  gtkman-0.9.tar.gz
+3c99d27559e1bdccfe11eb8bfe0880378018de77781d80b51d0889e26c37afd748906b26bfbea2a5ac14bee288452c457ef7c60f8188993f407bd96b6c940ac1  fix-man-install.patch"
-- 
2.6.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Nov 11 2015 - 20:27:55 GMT